Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1055515 - BPMN 2 editor : Adding a new data type leads to validation errors
Summary: BPMN 2 editor : Adding a new data type leads to validation errors
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Rob Cernich
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 13:12 UTC by Keith Babo
Modified: 2018-03-29 21:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you try to add a Data Type definition to a process, the BPMN 2 editor will create the item definition as expected, but it will generate many extraneous messages. It will also create a number of operation definitions which fail BPMN 2 validation. As a result, you will see errors in the Problems view.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Applicant.java (4.04 KB, text/plain)
2014-01-20 13:16 UTC, Keith Babo
no flags Details

Description Keith Babo 2014-01-20 13:12:09 UTC
When I add a Data Type definition to a process, the BPMN 2 editor is creating the item definition as expected, but it's also creating a ton of message entries, e.g.

<bpmn2:message id="_Message_60" itemRef="_ItemDefinition_1333" name="Applicant_getAge_Result"/>
<bpmn2:message id="_Message_61" itemRef="_ItemDefinition_1335" name="Applicant_getDob_Result"/>
<bpmn2:message id="_Message_62" itemRef="_ItemDefinition_1335" name="Applicant_setDob_dob"/>
<bpmn2:message id="_Message_63" itemRef="_ItemDefinition_1333" name="Applicant_getCreditScore_Result"/>
<bpmn2:message id="_Message_64" itemRef="_ItemDefinition_1333" name="Applicant_setCreditScore_creditScore"/>
< … snipped many more …>

In addition, it's creating a bunch of operation definitions which fail BPMN 2 validation, leaving me with quite a few errors in the Problems view:

<bpmn2:operation id="_Operation_60" implementationRef="getAge" name="getAge">
   <bpmn2:outMessageRef>_Message_60</bpmn2:outMessageRef>
</bpmn2:operation>

"Operation has missing or incomplete In Message 	PreQualProcess.bpm"

Any idea what's going on here?  I should be able to just add the type definition without generating the message and operation refs, right?  Steps I'm following now are:

1) Pull up Process Properties view
2) Select Definitions
3) Add data type via + icon next to 'Data Type List'

Comment 1 Keith Babo 2014-01-20 13:16:08 UTC
Created attachment 852725 [details]
Applicant.java

Attaching Applicant class which produces the issue when added as a data type in the process definition.

Comment 2 Keith Babo 2014-01-20 13:18:44 UTC
FYI - I set the proposed blocker flag here because this is a high-visibility issue from a user standpoint.  I will look at a workaround, but it will almost certainly involve hacking the xml directly.

Comment 3 Robert (Bob) Brodt 2014-01-27 16:13:05 UTC
I think this is the same as https://bugzilla.redhat.com/show_bug.cgi?id=1052918

Keith, is it possible for you to grab the latest bpmn2 editor from here:

http://download.eclipse.org/bpmn2-modeler/updates/luna/1.0.2/

and retest?

Comment 4 Robert (Bob) Brodt 2015-08-31 18:08:31 UTC
This is fixed in version 1.1.3 of the BPMN2 Modeler and is included in JBDSIS 8.0.3.GA and JBTIS 4.2.3.Final


Note You need to log in before you can comment on or make changes to this bug.